> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Operation by ID

> Retrieve a single inventory document.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /operations/{id}
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
  - name: Inventory
  - name: Finance
paths:
  /operations/{id}:
    get:
      tags:
        - Inventory
      summary: Get Operation by ID
      description: Retrieve a single inventory document.
      parameters:
        - name: id
          in: path
          description: Operation ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Request completed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/Operation'
components:
  schemas:
    Operation:
      type: object
      properties:
        id:
          type: integer
        user_id:
          type: integer
          nullable: true
        venue_id:
          type: integer
        to_venue_id:
          type: integer
          nullable: true
        supplier_id:
          type: integer
          nullable: true
        supplier_remain:
          type: number
          nullable: true
        storage_id:
          type: integer
          nullable: true
        from_storage_id:
          type: integer
          nullable: true
        type:
          type: integer
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
            - 10
            - 11
          description: >-
            1 IN, 2 OUT (deprecated), 3 TRANSFER, 4 WASTE, 5 RETURN, 6 FIXATION
            (deprecated), 7 MAKE, 8 MERGE (deprecated), 9 INVENTORY_CHECK, 10
            SUPPLY_RETURN, 11 INITIAL_STOCK.
        status:
          type: integer
          enum:
            - 1
            - 2
          description: 1 Published, 2 Draft.
        inventory_status:
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
          description: >-
            0 NoAction, 1 Processed, 2 InProcess, 3 Restored, 4 Failed, 5
            Deleting, 6 Canceling.
        force_apply:
          type: boolean
        parent_id:
          type: integer
          nullable: true
        is_system:
          type: boolean
        returns_id:
          type: integer
          nullable: true
        reason:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        invoice_number:
          type: string
          nullable: true
        tax_rate:
          type: number
        discount_rate:
          type: number
        tax_value:
          type: number
        discount_value:
          type: number
        subtotal:
          type: number
        operated_at:
          type: string
          format: date-time
        published_at:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````